Subject: [Mitbadminton] badminton tomorrow 4-5pm

From: "Yu \(Elaine\) Pu" <[email-masked]>
Date: Sat, 13 Jan 2007 10:45:24 -0500

Dear all,

North court is reserved for badminton tomorrow 4-5pm as usual. Come and have
fun!

BTW, some of you may have been to the court last Sunday and found the court
was closed disappointedly. It appeared that the staff made a mistake and
didn't inform me of the change of the schedule when I called the front desk
and made the reservation. I apologize for any inconvenience that has caused
to you.

Have a nice weekend.

-Yu